org.h2.value

## Class CharsetCollator

- java.lang.Object
- - java.text.Collator
  - - org.h2.value.CharsetCollator

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Comparator<java.lang.Object>

    public class CharsetCollator
    extends java.text.Collator

The charset collator sorts strings according to the order in the given charset.

### Field Summary

### Fields inherited from class java.text.Collator

`CANONICAL_DECOMPOSITION, FULL_DECOMPOSITION, IDENTICAL, NO_DECOMPOSITION, PRIMARY, SECONDARY, TERTIARY`

### Constructor Summary

Constructors
Constructor and Description
`CharsetCollator(java.nio.charset.Charset charset)`

### Method Summary

Methods
`int` `compare(java.lang.String source, java.lang.String target)`
`java.nio.charset.Charset` `getCharset()`
`java.text.CollationKey` `getCollationKey(java.lang.String source)`
`int` `hashCode()`

### Methods inherited from class java.text.Collator

`clone, compare, equals, equals, getAvailableLocales, getDecomposition, getInstance, getInstance, getStrength, setDecomposition, setStrength`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CharsetCollator

    public CharsetCollator(java.nio.charset.Charset charset)

### Method Detail

#### getCharset

    public java.nio.charset.Charset getCharset()

#### compare

    public int compare(java.lang.String source,
              java.lang.String target)

Specified by:
  `compare` in class `java.text.Collator`

#### getCollationKey

    public java.text.CollationKey getCollationKey(java.lang.String source)

Specified by:
  `getCollationKey` in class `java.text.Collator`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in class `java.text.Collator`